Please select Into the mobile phone version | Continue to access the computer ver.
this app is not compatible with your device
12Next >
771 43 11-10 16:48
Uploading and Loding Picture ...(0/1)
o(^-^)o
sanwhere
lvl.1
United States
Offline

Dji Fly app says "this app is not compatible with your device" even my phone is android 8.1, and app is looking for 6.0 and above. How we can solve this problem?
11-10 16:48
Use props
S-e-ven
Captain
Flight distance : 3613448 ft
Thailand
Offline

I'd say, with a phone from the list? What device do you have?

Compatible with Samsung Galaxy S10+, Samsung Galaxy S10, Samsung Galaxy S9+, Samsung Galaxy S9 , Samsung Galaxy S8+, Samsung Galaxy S8, Samsung Galaxy S7 edge, Samsung Galaxy S7, Samsung Galaxy S6, Samsung Galaxy Note9, Samsung Galaxy Note8, HUAWEI P30 Pro, HUAWEI P30, HUAWEI P20, HUAWEI P10, HUAWEI Mate 20 Pro, HUAWEI Mate 10, HUAWEI nova 5, HUAWEI nova 4, HUAWEI nova 3e, HUAWEI nova 2, Honor 8X, Honor V10, Honor 9, Honor 20 Pro, Honor Magic 2, Mi 8, Mi MIX 2S, Mi MIX 2, Redmi Note 5, OPPO Find X, OPPO R15, vivo NEX, vivo X27, vivo X21, vivo X20A, OnePlus 7, OnePlus 6T, OnePlus 5, Pixel 3 XL, Pixel 2 XL, Pixel 2, Pixel, LG V20, LG G6.


Aside that I wonder more about: The "Get in on Google...." link goes to the DJI Download page, too.
I don't see it "on my" play store, yet.
Which may have the reason that it is not 11.11 in Play store.
11-10 18:32
Use props
sanwhere
lvl.1
United States
Offline

S-e-ven Posted at 11-10 18:32
I'd say, with a phone from the list? What device do you have?

Compatible with Samsung Galaxy S10+, Samsung Galaxy S10, Samsung Galaxy S9+, Samsung Galaxy S9 , Samsung Galaxy S8+, Samsung Galaxy S8, Samsung Galaxy S7 edge, Samsung Galaxy S7, Samsung Galaxy S6, Samsung Galaxy Note9, Samsung Galaxy Note8, HUAWEI P30 Pro, HUAWEI P30, HUAWEI P20, HUAWEI P10, HUAWEI Mate 20 Pro, HUAWEI Mate 10, HUAWEI nova 5, HUAWEI nova 4, HUAWEI nova 3e, HUAWEI nova 2, Honor 8X, Honor V10, Honor 9, Honor 20 Pro, Honor Magic 2, Mi 8, Mi MIX 2S, Mi MIX 2, Redmi Note 5, OPPO Find X, OPPO R15, vivo NEX, vivo X27, vivo X21, vivo X20A, OnePlus 7, OnePlus 6T, OnePlus 5, Pixel 3 XL, Pixel 2 XL, Pixel 2, Pixel, LG V20, LG G6.

i installed it to iphone 10 with their website. but not mine, mine is moto e5 play.
it is going to be absurd if i need to change my phone to a new one just for a mavic mini!
11-10 19:19
Use props
MAVICDLNM
Second Officer
Flight distance : 7930738 ft
  • >>>
Hong Kong
Offline

sanwhere Posted at 11-10 19:19
i installed it to iphone 10 with their website. but not mine, mine is moto e5 play.
it is going to be absurd if i need to change my phone to a new one just for a mavic mini!

unfortunately your phone not supported.
11-10 19:23
Use props
sanwhere
lvl.1
United States
Offline

MAVICDLNM Posted at 11-10 19:23
unfortunately your phone not supported.

ridiculous!
11-10 19:24
Use props
Cavids
lvl.3
United States
Offline

How did you get it on the iphone?  I do not see it yet on the app store on my iphone
11-10 19:26
Use props
MAVICDLNM
Second Officer
Flight distance : 7930738 ft
  • >>>
Hong Kong
Offline

Cavids Posted at 11-10 19:26
How did you get it on the iphone?  I do not see it yet on the app store on my iphone

What country are you in?  DJI Fly should everywhere now.
11-10 19:44
Use props
S-e-ven
Captain
Flight distance : 3613448 ft
Thailand
Offline

Cavids Posted at 11-10 19:26
How did you get it on the iphone?  I do not see it yet on the app store on my iphone

https://www.dji.com/dji-fly
11-10 19:55
Use props
JodyB
Second Officer

United States
Offline

Cavids Posted at 11-10 19:26
How did you get it on the iphone?  I do not see it yet on the app store on my iphone

It is available on iPhone App Store. I downloaded it using the QR code in the manual earlier today.
11-10 20:03
Use props
S-e-ven
Captain
Flight distance : 3613448 ft
Thailand
Offline

sanwhere Posted at 11-10 19:19
i installed it to iphone 10 with their website. but not mine, mine is moto e5 play.
it is going to be absurd if i need to change my phone to a new one just for a mavic mini!

2017, I couldn't get the Go4 4.1.xx to work on one of the top phones of LG from 2015.
There it was "minimum Droid 4.4", the phone was on 6 or 7, and had still upper specs.

The moto e5 is more a low end , cheaper, phone, isn't it?

Also, by looking at the functionality of the app, editing wise, and with the experience from other DJI Apps in mind:
I think that just 2 GB of Ram is not enough!
And the "minimum Android 6" is not really a spec sheet, methinks.
That has history, as newer a (DJI?) app, as better hardware it needs, to work on older Droid versions!
11-10 20:07
Use props
DJI Tony
Super Moderator

Offline

Hi, we're sorry for the inconvenience. We've checked the compatible devices that you could use with our DJI Fly app, and we've found out that our application doesn't support the mobile device that you would like to use. We highly recommend using a compatible device to run the application and ensure the stability when using it. Again, we do apologize for the inconvenience that it cause. You may refer to the screenshot below for compatible devices. Thank you for understanding.


Mavic mini.png
11-11 07:50
Use props
Photobomber
lvl.1
United Kingdom
Offline

DJI Tony Posted at 11-11 07:50
Hi, we're sorry for the inconvenience. We've checked the compatible devices that you could use with our DJI Fly app, and we've found out that our application doesn't support the mobile device that you would like to use. We highly recommend using a compatible device to run the application and ensure the stability when using it. Again, we do apologize for the inconvenience that it cause. You may refer to the screenshot below for compatible devices. Thank you for understanding.

Is there any plans in the pipeline to increase the number of phones that the Fly app will work with or is that it? Replacing my phone to one of the phones on that list isn't an option when the vast bulk of them new/secondhand cost more than the drone. If there is no plans to increase compatibility then there is no option but to ship it back.
11-12 11:16
Use props
hallmark007
Captain
Flight distance : 4201896 ft
  • >>>
Ireland
Online

Photobomber Posted at 11-12 11:16
Is there any plans in the pipeline to increase the number of phones that the Fly app will work with or is that it? Replacing my phone to one of the phones on that list isn't an option when the vast bulk of them new/secondhand cost more than the drone. If there is no plans to increase compatibility then there is no option but to ship it back.

They may optimize for more phones, but this might not be soon, an option that might help second hand dedicated iPad mini , they work really well you have a lot more real estate not clogging up your phone and they fit into the RC handles, you can buy these for around €120 refurb . It’s a really good option .
11-12 11:29
Use props
Photobomber
lvl.1
United Kingdom
Offline

hallmark007 Posted at 11-12 11:29
They may optimize for more phones, but this might not be soon, an option that might help second hand dedicated iPad mini , they work really well you have a lot more real estate not clogging up your phone and they fit into the RC handles, you can buy these for around €120 refurb . It’s a really good option .

Any gen of it or a later version better?
11-12 11:33
Use props
newi77
lvl.2

Austria
Offline

S-e-ven Posted at 11-10 18:32
I'd say, with a phone from the list? What device do you have?

Compatible with Samsung Galaxy S10+, Samsung Galaxy S10, Samsung Galaxy S9+, Samsung Galaxy S9 , Samsung Galaxy S8+, Samsung Galaxy S8, Samsung Galaxy S7 edge, Samsung Galaxy S7, Samsung Galaxy S6, Samsung Galaxy Note9, Samsung Galaxy Note8, HUAWEI P30 Pro, HUAWEI P30, HUAWEI P20, HUAWEI P10, HUAWEI Mate 20 Pro, HUAWEI Mate 10, HUAWEI nova 5, HUAWEI nova 4, HUAWEI nova 3e, HUAWEI nova 2, Honor 8X, Honor V10, Honor 9, Honor 20 Pro, Honor Magic 2, Mi 8, Mi MIX 2S, Mi MIX 2, Redmi Note 5, OPPO Find X, OPPO R15, vivo NEX, vivo X27, vivo X21, vivo X20A, OnePlus 7, OnePlus 6T, OnePlus 5, Pixel 3 XL, Pixel 2 XL, Pixel 2, Pixel, LG V20, LG G6.

@I don't see it "on my" play store, yet.

i was also not able to find it via the seach function
search for any dji app on playstore .. click on the vendor (dji) and then you get all apps from the vendor listed .. so i found and installed it
11-12 11:52
Use props
hallmark007
Captain
Flight distance : 4201896 ft
  • >>>
Ireland
Online

Photobomber Posted at 11-12 11:33
Any gen of it or a later version better?

I think 2 up , maybe someone using 2 can shed some light here.
11-12 11:59
Use props
Ex Machina
Captain
Flight distance : 1418406 ft
United States
Online

hallmark007 Posted at 11-12 11:59
I think 2 up , maybe someone using 2 can shed some light here.

Oddly, the iPad Minis are not listed as compatible with the new DJI Fly app.
11-12 12:12
Use props
hallmark007
Captain
Flight distance : 4201896 ft
  • >>>
Ireland
Online

Ex Machina Posted at 11-12 12:12
Oddly, the iPad Minis are not listed as compatible with the new DJI Fly app.

I saw someone using on you tube or maybe it was demonstrating how to fit , I have also seen flyte path using 12.9 iPad Pro .
11-12 12:16
Use props
DJI Tony
Super Moderator

Offline

Photobomber Posted at 11-12 11:16
Is there any plans in the pipeline to increase the number of phones that the Fly app will work with or is that it? Replacing my phone to one of the phones on that list isn't an option when the vast bulk of them new/secondhand cost more than the drone. If there is no plans to increase compatibility then there is no option but to ship it back.

Hi, thanks for the inquiry. There are lots of mobile devices that have been released in the market for the past month or years and even in the future. We understand the needs of our customers when choosing the device and we would like to explore more devices for compatibility test. Nonetheless, we're doing our best to discover further devices that can be paired with our Mavic mini and DJI Fly app to provide further options to our customers when choosing the device.

Actually, using a different mobile device that is not included on our list doesn't mean that it would not work with our application. There's a possibility that the application may run smoothly without any problem due to the capability of the phone, however, since the phone hasn't been tried by our designated department, we couldn't guarantee if it would remain stable and will not encounter a problem. Therefore, the behavior of the app may change especially if there will an update. You may refer to the screenshot for our recommended devices. Hope that this would clarify your query. Thank you for your support!
11-15 15:24
Use props
sanwhere
lvl.1
United States
Offline

S-e-ven Posted at 11-10 20:07
2017, I couldn't get the Go4 4.1.xx to work on one of the top phones of LG from 2015.
There it was "minimum Droid 4.4", the phone was on 6 or 7, and had still upper specs.

actually this is the weird part; i can able to fly mavic pro with go4 app, i installed go4 app without any problem to my moto e5 device, but not fly app for mavic mini!?

this doesn't make any sense to me at all.
11-16 07:26
Use props
sanwhere
lvl.1
United States
Offline

DJI Tony Posted at 11-15 15:24
Hi, thanks for the inquiry. There are lots of mobile devices that have been released in the market for the past month or years and even in the future. We understand the needs of our customers when choosing the device and we would like to explore more devices for compatibility test. Nonetheless, we're doing our best to discover further devices that can be paired with our Mavic mini and DJI Fly app to provide further options to our customers when choosing the device.

Actually, using a different mobile device that is not included on our list doesn't mean that it would not work with our application. There's a possibility that the application may run smoothly without any problem due to the capability of the phone, however, since the phone hasn't been tried by our designated department, we couldn't guarantee if it would remain stable and will not encounter a problem. Therefore, the behavior of the app may change especially if there will an update. You may refer to the screenshot for our recommended devices. Hope that this would clarify your query. Thank you for your support!

i understand what you saying, but maybe DJI can announce some information before selling these kind of expensive devices, like requirements or supported devices. we bought it, and saw the supported devices while we want to download app. this is not convenient.
11-16 07:28
Use props
MaTiCeK
lvl.1
Slovenia
Offline

I have a problem with connecting my samsung galaxy s10 + to the remote control. Despite being plugged and turned on, it doesn't connect to the remote. Luckily I also own an iPhone, and on it it works flawlessly.
11-16 07:31
Use props
S-e-ven
Captain
Flight distance : 3613448 ft
Thailand
Offline

sanwhere Posted at 11-16 07:26
actually this is the weird part; i can able to fly mavic pro with go4 app, i installed go4 app without any problem to my moto e5 device, but not fly app for mavic mini!?

this doesn't make any sense to me at all.

Na, it kind of makes sense!
The DJI FLY is the NEW DJI app, most likely optimized to Droid 9 or 10
And, if I did read that right, to 64-bit phones only!
With 2 GB ram, I think it is not a 64-bit android on your phone!
11-16 11:28
Use props
JodyB
Second Officer

United States
Offline

Yes, DJI fly app requires 64 bit OS whether that’s android or IOS. Then you have to worry about what version of the OS you have too. You run into issues where some phones have a 64 bit processor but the manufacturer put a 32 bit OS on it. That’s a problem with the phone maker, not DJI in that case. So check your phones.
11-16 12:44
Use props
djiuser_KLhspwKkFRru
lvl.1

Canada
Offline

Have Pixel2 and still, app says
RC not connected to mobile device
11-16 21:24
Use props
OceanSoftwash
lvl.1

Canada
Offline

#Quick Reply HerI have a newer Pixel2XL Android10 and still "RC not connected to mobile device".  But iphone from friend works. Not buying another phone. If they cant get this solved I send the drone back. e#
11-16 21:30
Use props
Alevpi
lvl.2
Flight distance : 21946 ft
Russia
Offline

JodyB Posted at 11-16 12:44
Yes, DJI fly app requires 64 bit OS whether that’s android or IOS. Then you have to worry about what version of the OS you have too. You run into issues where some phones have a 64 bit processor but the manufacturer put a 32 bit OS on it. That’s a problem with the phone maker, not DJI in that case. So check your phones.

No, this is a DJI problem, not a device problem! You can release a 32bit version like Dji go 4, especially for a quadcopter that is positioned as an entry level!

11-16 22:00
Use props
MaTiCeK
lvl.1
Slovenia
Offline

djiuser_KLhspwKkFRru Posted at 11-16 21:24
Have Pixel2 and still, app says
RC not connected to mobile device

Same as for me on the Galaxy S10. DJI help, please!
11-17 00:25
Use props
JodyB
Second Officer

United States
Offline

Alevpi Posted at 11-16 22:00
No, this is a DJI problem, not a device problem! You can release a 32bit version like Dji go 4, especially for a quadcopter that is positioned as an entry level!

It was announced early on that there would only be a 64 bit version released.
11-17 07:12
Use props
Juliflash
Second Officer

Spain
Offline

JodyB Posted at 11-17 07:12
It was announced early on that there would only be a 64 bit version released.

Makes sense but not nice probably for 75% of potential customers.
Where I live... you can buy a brand new Scooter for the same price of the latest iPhone.
11-17 07:49
Use props
lojzik
lvl.1

Czechia
Offline

JodyB Posted at 11-17 07:12
It was announced early on that there would only be a 64 bit version released.

Where? In product specs is only "iOS v10.0 or later Android v6.0 or later"
11-17 09:48
Use props
JodyB
Second Officer

United States
Offline

Don’t take me wrong, I didn’t say it was right of DJI. Just that it was announced prior to them going on sale is all. Now those that don’t have the proper equipment will have to find something that is. And that will more than likely come at an additional cost which is the bad part.
11-17 09:49
Use props
JodyB
Second Officer

United States
Offline

lojzik Posted at 11-17 09:48
Where? In product specs is only "iOS v10.0 or later Android v6.0 or later"

I’ll let a DJI mod or admin take care of this part. Bottom line, unless DJI changes their stance, they aren’t releasing a 32 bit version of the app. And to be honest, everything is going that direction as time goes by.  I’m not saying it’s the right thing to do mind you. Just saying that’s the choices we are facing. Find a compatible device, make your device compatible (I don’t recommend going that direction), or DJI has a heart and changes their stance, and from what I’ve seen, I’m not holding my breath on that part.
11-17 09:57
Use props
Bigplumbs
Second Officer
Flight distance : 68317 ft
United Kingdom
Offline

DJI Tony Posted at 11-15 15:24
Hi, thanks for the inquiry. There are lots of mobile devices that have been released in the market for the past month or years and even in the future. We understand the needs of our customers when choosing the device and we would like to explore more devices for compatibility test. Nonetheless, we're doing our best to discover further devices that can be paired with our Mavic mini and DJI Fly app to provide further options to our customers when choosing the device.

Actually, using a different mobile device that is not included on our list doesn't mean that it would not work with our application. There's a possibility that the application may run smoothly without any problem due to the capability of the phone, however, since the phone hasn't been tried by our designated department, we couldn't guarantee if it would remain stable and will not encounter a problem. Therefore, the behavior of the app may change especially if there will an update. You may refer to the screenshot for our recommended devices. Hope that this would clarify your query. Thank you for your support!

Tony

The Ipad Mini has been used as the go to Tablet for DJI drones for years and the other Apps work well on it. Please don't try and claim that this is a new device that you have never heard of
11-17 10:00
Use props
Bigplumbs
Second Officer
Flight distance : 68317 ft
United Kingdom
Offline

Alevpi Posted at 11-16 22:00
No, this is a DJI problem, not a device problem! You can release a 32bit version like Dji go 4, especially for a quadcopter that is positioned as an entry level!

Totally agree DJI rushed this app to sale as they so often do
11-17 10:02
Use props
Bigplumbs
Second Officer
Flight distance : 68317 ft
United Kingdom
Offline

JodyB Posted at 11-17 07:12
It was announced early on that there would only be a 64 bit version released.

Most people would have no idea what that would mean and the way this was marketed and sold why should anyone.... Please be real
11-17 10:02
Use props
JodyB
Second Officer

United States
Offline

You seem to be trying to make your point to me. And that is neither useful or productive. I am merely giving you the information that I know to be relevant in order to help you. There are a couple other threads on this very forum that address the very same issue as well. To imply that I’m. not being real, well, that’s just your perspective. My perspective does not apply as it would not help your issue.
11-17 10:14
Use props
Bigplumbs
Second Officer
Flight distance : 68317 ft
United Kingdom
Offline

JodyB Posted at 11-17 10:14
You seem to be trying to make your point to me. And that is neither useful or productive. I am merely giving you the information that I know to be relevant in order to help you. There are a couple other threads on this very forum that address the very same issue as well. To imply that I’m. not being real, well, that’s just your perspective. My perspective does not apply as it would not help your issue.

Nope don't understand any of that
11-17 14:08
Use props
Gu5s
lvl.1

Czechia
Offline

JodyB Posted at 11-17 09:57
I’ll let a DJI mod or admin take care of this part. Bottom line, unless DJI changes their stance, they aren’t releasing a 32 bit version of the app. And to be honest, everything is going that direction as time goes by.  I’m not saying it’s the right thing to do mind you. Just saying that’s the choices we are facing. Find a compatible device, make your device compatible (I don’t recommend going that direction), or DJI has a heart and changes their stance, and from what I’ve seen, I’m not holding my breath on that part.
You know what Is great? To have a year old ARM64v8a-capable phone with 4Gigs of RAM, 64 Gigs of internal storage, but 32bit version official ROM (OS) build... Convenient right? I mean it theoretically would not be impossible to decompile the app file and recompile it with 32bit libs... It is really ridiculous to announce a budget drone, that requires basically a flagship phone to run... Seriously... Dji is out their minds.
11-17 14:34
Use props
JodyB
Second Officer

United States
Offline

Gu5s Posted at 11-17 14:34
You know what Is great? To have a year old ARM64v8a-capable phone with 4Gigs of RAM, 64 Gigs of internal storage, but 32bit version official ROM (OS) build... Convenient right? I mean it theoretically would not be impossible to decompile the app file and recompile it with 32bit libs... It is really ridiculous to announce a budget drone, that requires basically a flagship phone to run... Seriously... Dji is out their minds.

I agree. I have a few devices that I could use that’s in the same exact boat.  Nice size tablets even. And that was my original intention. I’ve even bought the bracket that allows me to use tablets but none of them run 64 bit os so now I can’t use them. I’ll be stuck with a much smaller phone until I can afford a new tablet. Point here is, I know what the issue is and I know how to fix it. I know that it’s a difficult situation and fully understand and you guys, including myself, that are in this boat have my full sympathy.
11-17 16:04
Use props
12Next >
Advanced
You need to log in before you can reply Login | Register now

Credit Rules